Bug 815937 - 3.0.25-rt44.57.el6rt.x86_64 missing firmware rtl_nic/rtl8168e-2.fw
3.0.25-rt44.57.el6rt.x86_64 missing firmware rtl_nic/rtl8168e-2.fw
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
2.2
x86_64 Linux
unspecified Severity high
: 2.2
: ---
Assigned To: Arnaldo Carvalho de Melo
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 16:36 EDT by evcz
Modified: 2016-05-22 19:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
BZ#815937 Previously, the firmware files for the RealTek RTL-8169 Gigabit Ethernet network card were moved from the main kernel upstream repository to the linux-firmware Git repository. This update adds the firmware files back to the MRG Realtime kernel and the network cards can now properly load them.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 14:03:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description evcz 2012-04-24 16:36:48 EDT
Description of problem:
kernel-rt-firmware and kernel-rt source rpm are missing realtek firmware files

Version-Release number of selected component (if applicable):
3.0.25-rt44.57.el6rt.x86_64

How reproducible:
Boot the machine with the kernel 3.0.25-rt44.57.el6rt.x86_64

Steps to Reproduce:
1) boot the machine with the kernel 3.0.25-rt44.57.el6rt.x86_64
2) check dmesg output
  
Actual results:
Apr 24 21:57:58 blue kernel: r8169 0000:01:00.0: eth0: unable to load firmware patch rtl_nic/rtl8168e-2.fw (-2)

Expected results:
No errors

Additional info:
the whole "rtl_nic" directory is missing
Comment 1 evcz 2012-05-17 15:44:26 EDT
the newly released kernel package is still missing the realtek firmware files

Into the source rpm kernel-rt-3.0.30-rt50.62.el6rt.src.rpm there's no trace of the ./firmware/rtl_nic/ directory
Comment 2 Arnaldo Carvalho de Melo 2012-05-29 14:34:06 EDT
The rtl_nics firmware files were removed from the upstream source tree and moved to the linux-firmware.git repository. We are checking the licensing aspects so as to package what is in the linux-firmware.git.
Comment 7 Beth Uptagrafft 2012-08-06 10:47:53 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
BZ#815937 
Previously, the firmware files for the RealTek RTL-8169 Gigabit Ethernet network card were moved from the main kernel upstream repository to the linux-firmware Git repository. This update adds the firmware files back to the MRG Realtime kernel and the network cards can now properly load them.
Comment 9 errata-xmlrpc 2012-09-19 14:03:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1282.html

Note You need to log in before you can comment on or make changes to this bug.